# when we support more pacakge, open this when upstream fix it bug.
%bcond_with python3_tests

Summary:            A Python SOCKS client module
Name:               python-pysocks
Version:            1.7.1
Release:            5%{?dist}
License:            BSD
URL:                https://github.com/Anorov/PySocks
Source0:            https://files.pythonhosted.org/packages/source/P/PySocks/PySocks-%{version}.tar.gz
BuildArch:          noarch

%description
A fork of SocksiPy with bug fixes and extra features.
Acts as a drop-in replacement to the socket module. Featuring:
- SOCKS proxy client for Python 2.6 - 3.x
- TCP and UDP both supported\
- HTTP proxy client included but not supported or recommended (you should use
  urllib2's or requests' own HTTP proxy interface)
- urllib2 handler included.

%package -n         python%{python3_pkgversion}-pysocks
Summary:            A Python SOCKS client module
BuildRequires:      python%{python3_pkgversion}-devel
BuildRequires:      python%{python3_pkgversion}-setuptools

%if %{with python3_tests}
BuildRequires:      python%{python3_pkgversion}-pytest
BuildRequires:      python%{python3_pkgversion}-psutil
%endif

Provides:           python-pysocks = %{version}-%{release}
Provides:           python%{python3_pkgversion}-pysocks = %{version}-%{release}

%description -n     python%{python3_pkgversion}-pysocks
This package is for Python3 version %{python3_version} only.

%prep
%autosetup -n PySocks-%{version}
rm -rf test/bin

%build
%py3_build

%install
%py3_install

%check
%if %{with python3_tests}
%{__python3} setup.py test
%endif

%files -n python%{python3_pkgversion}-pysocks
%license LICENSE
%doc README.md
%{python3_sitelib}/socks.py*
%{python3_sitelib}/sockshandler.py*
%{python3_sitelib}/__pycache__/*socks*
%{python3_sitelib}/PySocks-%{version}-*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.1-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.1-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 15 2022 Shuo Wang <abushwang@tencent.com> - 1.7.1-1
- initial build
